function qjmat=path2nodes(trial,n,base)
%Turn path "trial" with a given base number into a set of sequences.
%Inputs: trial = path to be flipped, n = length of the path, and base
%For example with trial=1234, n= 4, base= 10, you get qjmat=[4 43 432 4321], note the flippping.
%Trial is in reversed order 1234 means play order 4321
%A more complicated example: trial 1213, n=2, base=100, means playing 13 and then 12

if isempty(n)
m=length(num2str(trial));
x=log(base)/log(10);
n=ceil(m/x);
end

trial=auxflipper(trial,base);
num=1./(base.^flip([1:n-1]));
qjmat=floor(trial'*num);
qjmat=[qjmat trial];
endfunction

