function [nodeset,A,pathflags]=paths2tree(E,base)
%Turns a set of subpaths into a tree.
%Inputs:
%subpaths E (excluding infinitely long subpaths)
%base = base number for stroring the labels
%Outputs:
%nodes in the tree (nodeset) and the adjacency matrix of the tree 
%(A, A(i,j)=1 if there is an edge from i'th node to j'th node)
%Here we do not have a separate root node.
%pathflags indicates which of the elements in the nodeset correspond to full paths

depth=length(E);
nodeset=[];
A=[];
pathflags=[];

for i=0:depth-1 %For#1

for j=1:length(E{depth-i}) %For#2
trial=E{depth-i}(j);
trialset=path2nodes(trial,depth-i,base);%these are all the possible nodes corresponding to trial
trialflags=false(1,length(trialset));
trialflags(end)=true;

if ~isempty(nodeset) %#0
indxt=max(find(sum((trialset'==nodeset),2)));%largest index that is found, the rest should become followers of this node

if ~isempty(indxt) %#1
indxn=find(trialset(indxt)==nodeset);
nnew=length(trialset)-indxt;
nold=length(A);
if nnew>1
r=zeros(1,nnew);r(2)=1;
A=[A zeros(nold,nnew);zeros(nnew,nold) toeplitz(zeros(1,nnew),r)];
A(indxn,nold+1)=1;
nodeset=[nodeset trialset(indxt+1:end)];
pathflags=[pathflags trialflags(indxt+1:end)];
else %nnew=1

nodeset=[nodeset trialset(end)];
pathflags=[pathflags true];
A=[A zeros(nold,1);zeros(1,nold) zeros(1,1)];
end
else %all are new, #1
nodeset=[nodeset trialset];
pathflags=[pathflags trialflags];
nnew=length(trialset);
nold=length(A);

if nnew>1
r=zeros(1,nnew);r(2)=1;
A=[A zeros(nold,nnew);zeros(nnew,nold) toeplitz(zeros(1,nnew),r)];
else
A=[A zeros(nold,1);zeros(1,nold) zeros(1,1)];
end
end %End of #1

else %else of #0
[nodeset,sind]=sort(trialset,'ascend');
pathflags=trialflags(sind);
if length(nodeset)>1
r=zeros(1,length(nodeset));r(2)=1;
A=toeplitz(zeros(1,length(nodeset)),r);
else %in this case nodeset is a singleton
A=0;
end
end %end of #0
end %For#2
end %For#1
endfunction

